/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOSUBPROD                                              */
/* Tabela : TIPOSUBPROD                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 10/03/2005 - HUDSON MAGNO C.DOS SANTOS                                     */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPOSUBPROD'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPOSUBPROD
GO

CREATE TRIGGER DTULTATU_TIPOSUBPROD
ON TIPOSUBPROD
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOSUBPROD', null, 'CDTPSUBPROD=' + CDTPSUBPROD + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPOSUBPROD
      SET DTULTATUTPSP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOSUBPROD.CDTPSUBPROD,0)  = ISNULL(INSERTED.CDTPSUBPROD,0)) AND
            (ISNULL(TIPOSUBPROD.NMTPSUBPROD,0)  = ISNULL(INSERTED.NMTPSUBPROD,0)) AND 
            (ISNULL(TIPOSUBPROD.IDTPCALCPROD,0) = ISNULL(INSERTED.IDTPCALCPROD,0));
   END;
END;
GO
